glab(1)

NAME
glab-variable-get - Get a variable for a project or group.

SYNOPSIS
glab variable get [flags]

DESCRIPTION
Prints the value of a single variable by key. Use --scope to select a variable in a specific environment, or --group to read a group variable instead.

OPTIONS
-g, --group=""
    Get variable for a group.

--jq=""
    Filter JSON output with a jq expression.

-F, --output="text"
    Format output as: text, json.

-s, --scope=""
    The environment_scope of the variable. Values: all (), or specific environments.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.

EXAMPLE
    glab variable get VAR_KEY
    glab variable get -g GROUP VAR_KEY
    glab variable get -s SCOPE VAR_KEY

SEE ALSO
glab-variable(1)